/*
OSEPP 101 sensor kit

OSEPP example of measure fire intensity from infrared LED .
depending on range & intensity of flame, an LED & buzzer will alert when a high flame is active.


*/

int flamePin = A0;    // flame sensor sensor input
int ledPin = 13;      // select the pin for the LED
int buzzer = 3; //buzzer pin 
int flameValue = 0;  // variable to store the value coming from the photocell val

unsigned long interval=1000;  // the time we need to wait
unsigned long previousMillis=0; // millis() returns an unsigned long.

void setup() {
Serial.begin(9600);
pinMode(ledPin, OUTPUT);
pinMode(buzzer, OUTPUT);

digitalWrite(ledPin, LOW);
digitalWrite(buzzer, LOW);

}

void loop() {
  // read the value from the flame sensor:
  flameValue = analogRead(flamePin);  
flameValue = constrain(flameValue, 0, 1023); //adjust depending on environment.   
 

  
  Serial.print("incoming value from flame sensor =");
  Serial.println( flameValue); //print our value
  
  //prevents entire program from slowing down /w a  ' delay() ' 
  //allows continous readings consistent speed even with conditions
  if ((unsigned long)(millis() - previousMillis) >= interval) {
  previousMillis = millis();
  
 if(flameValue > 700){ // if the flame reading is greater than 300,alert with buzzer and LED
digitalWrite(ledPin, !digitalRead(ledPin)); //turn led on
digitalWrite(buzzer, !digitalRead(ledPin)); // turn buzzer on 
 }
 
 else if (flameValue < 700){
   
   digitalWrite(ledPin, LOW);//turn led off
   digitalWrite(buzzer, LOW); //turn buzzer off
 }
 }     
}
